summaryrefslogtreecommitdiff
path: root/tests/cp/symlink-slash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-04-16 13:48:38 +0000
committerJim Meyering <jim@meyering.net>2000-04-16 13:48:38 +0000
commit88a6b99b8dfd5dd2749b70cf1974a4a0fd5173f5 (patch)
treefd56ade8c7ec577a9c81bca312ea99d4d9e73625 /tests/cp/symlink-slash
parent125de05913ec0e2b06ef47f521128599d3744daa (diff)
downloadcoreutils-88a6b99b8dfd5dd2749b70cf1974a4a0fd5173f5.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/cp/symlink-slash')
-rwxr-xr-xtests/cp/symlink-slash38
1 files changed, 38 insertions, 0 deletions
diff --git a/tests/cp/symlink-slash b/tests/cp/symlink-slash
new file mode 100755
index 000000000..efc00dcdc
--- /dev/null
+++ b/tests/cp/symlink-slash
@@ -0,0 +1,38 @@
+#!/bin/sh
+# Make sure that cp -dR dereferences a symlink arg if its name is
+# written with a trailing slash.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+tmp=t-cpsymsl.$$
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+
+mkdir dir || framework_failure=1
+ln -s dir symlink || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo 'failure in testing framework'
+ exit 1
+fi
+
+fail=0
+cp -dR symlink/ s || fail=1
+set `ls -l s`
+
+# Prior to fileutils-4.0q, the following would have output ...`s -> dir'
+# because the trailing slash was removed unconditionally (now you have to
+# use the new --strip-trailing-slash option) causing cp to reproduce the
+# symlink. Now, the trailing slash is interpreted by the stat library
+# call and so cp ends up dereferencing the symlink and copying the directory.
+test "$*" = 'total 0' && : || fail=1
+
+cd ..
+rm -rf $tmp
+
+exit $fail